function [g,gx,gy]=gxy(x,y,dl)
% apply analytical formula to evaluate integral of Green function
%(ie. g=Int(lnr) in 2D) and dg/dx and dg/dy

x1=-dl/2;
x2=dl/2;
r1=(x-x1)^2+y^2;
r2=(x-x2)^2+y^2;
if abs(y) > 1e-10
    % when control point is not on the integrated panel:
    theta1=atan((x-x1)/y);
    theta2=atan((x-x2)/y);
    g=0.5*((x-x1)*log(r1)-(x-x2)*log(r2)-2*y*(theta2-theta1)-2*dl);
    gx=0.5*(log(r1)-log(r2));
	gy=-theta2+theta1;
else
    % for the case when control point on the panel itself
    g=0.5*((x-x1)*log(r1)-(x-x2)*log(r2)-2*dl);
    gx=0.5*(log(r1)-log(r2));
    gy=-pi;
end